Subject: New Reply Received - I am so disappointed with the services of Homebox that I had to write about my experience with Homeb...
From: Home Box <[email-masked]>
To: [email-masked]
Date: Tue, 04 May 2021 20:57:42 +0000

Hi Alka Pandey,  The customer has responded to the ticket.  I am so disappointed with the services of Homebox that I had to write about my experience with Homeb...  Ticket comment <div>Homebox Stores till now I haven't received my refund of the 3 night stands you have picked up from my house. I am tired of chasing your team. It's useless. I have decided to report it to consumer forum. Thank you so much for your so called wonderful customer service..</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2035998